## 1 EDoc Release Notes

This document describes the changes made to the EDoc application.

### 1.1 Edoc 0.7.6

#### 1.1.1 Improvements and New Features

- Minor changes.
  Own Id: OTP-7388

### 1.2 Edoc 0.7.5

#### 1.2.1 Improvements and New Features

- Minor updates, mostly cosmetic.
  Own Id: OTP-7243

### 1.3 Edoc 0.7.3

#### 1.3.1 Improvements and New Features

- Minor Makefile changes.
  Own Id: OTP-6689
- Dialyzer warnings were eliminated.
  Own Id: OTP-6737

### 1.4 EDoc 0.7.2

#### 1.4.1 Fixed Bugs and Malfunctions

- Some missing files have been added: ~/include/edoc_doclet.hrl, ~/priv/edoc.dtd, ~/priv/erlang.png
  Own Id: OTP-6457

#### 1.4.2 Improvements and New Features

- - Undefined macros only cause warnings, not errors.
  - New, built-in @version macro.
  - Documented the @docfile and @headerfile generic tags.
  - Added recognition of "TODO:" as a wiki equivalent for @todo tags.
  - Added documentation about overview pages.
  - 'where' and ',' are allowed as separators in specs.
  - Corrected ambiguity in spec grammar (possible incompatibility issue - parentheses may need to be added in some cases, in existing code).
  - Experimental (and undocumented) support for @param and @return tags and corresponding "..." annotations on @spec parameters.
  *** POTENTIAL INCOMPATIBILITY ***
  Own Id: OTP-6568

### 1.5 EDoc 0.7.1

#### 1.5.1 Fixed Bugs and Malfunctions

- Fixed some broken links in the documentation.
  Own Id: OTP-6419

### 1.6 EDoc 0.7.0

Miscellaneous changes.

edoc 0.7.6
Copyright © 1991-2008 Ericsson AB